Soccer API Documentation
This is the documentation for our Soccer API. To get a more comprehensive understanding of what feeds we have to offer and the data points we deliver via our endpoints, we encourage you to explore the following resources:
All of our API endpoints can be accessed via an HTTP GET request using your API key.
The API key can be passed either as a query parameter or using the following HTTP request header.
Ocp-Apim-Subscription-Key: {key}
Competition Feeds
Standings, Rankings & Brackets
Available Endpoints
Subfeed
Standings, Rankings & Brackets
Returns a list of countries and continents with their associated competitions.
Standings, Rankings & Brackets
Returns a list of all competitions (leagues, cups, etc.) along with their associated countries or regions.
GET
Standings
Standings, Rankings & Brackets
Returns regular season standings for a specified league or tournament and season
Areas (Countries)
Returns a list of countries and continents with their associated competitions.
Endpoint Notes
Call Interval:
4 Hours
Return Type:
Area[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
Competitions (Leagues)
Returns a list of all competitions (leagues, cups, etc.) along with their associated countries or regions.
Endpoint Notes
Call Interval:
1 Hour
Return Type:
Competition[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
Standings
Returns regular season standings for a specified league or tournament and season
Endpoint Notes
Call Interval:
5 Minutes
Return Type:
Round[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Teams, Players & Rosters
Available Endpoints
Subfeed
Teams, Players & Rosters
Returns players currently active on teams in a specified competition.
Teams, Players & Rosters
Returns player-team memberships that have been revoked by the system.
Teams, Players & Rosters
Returns a list of recently changed player-team memberships (e.g., transfers, releases) for a specified competition, filtered by number of days ago.
Teams, Players & Rosters
Returns historical team memberships, listing players who were previously on the roster but have since left.
Teams, Players & Rosters
Returns roster information for a specified team, including player profiles with basic biographical details, position, and more. Use the TeamId parameter to retrieve all current players on that team.
Teams, Players & Rosters
Returns full team information, including name, city, conference, division, colors, fantasy IDs, and complete stadium data. Includes all teams ever associated with a competition. Use Team Profiles - by Season for current teams only.
Teams, Players & Rosters
Returns full team information, including name, city, conference, division, colors, fantasy IDs, and complete stadium data. Includes teams currently active in a competition's season. Use Team Profiles - by Competition for historical teams.
Memberships - by Active
Returns players currently active on teams in a specified competition.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.Memberships - by Canceled
Returns player-team memberships that have been revoked by the system.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
Memberships - by Recently Changed
Returns a list of recently changed player-team memberships (e.g., transfers, releases) for a specified competition, filtered by number of days ago.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
GET
https://api.sportsdata.io/v4/soccer/scores/{format}/RecentlyChangedMemberships/{competition}/{days}
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.days
string
true
The number of days since memberships were updated. For example, if you pass
3, you'll receive all memberships that have been updated in the past 3 days. Valid entries are: 1, 2 ... 30Memberships Historical - by Team
Returns historical team memberships, listing players who were previously on the roster but have since left.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.teamid
integer
true
Unique FantasyData Team ID.
Example:
516.Player Profiles - by Team
Returns roster information for a specified team, including player profiles with basic biographical details, position, and more. Use the TeamId parameter to retrieve all current players on that team.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.teamid
integer
true
Unique FantasyData Team ID.
Example:
516.Team Profiles - by Competition
Returns full team information, including name, city, conference, division, colors, fantasy IDs, and complete stadium data. Includes all teams ever associated with a competition. Use Team Profiles - by Season for current teams only.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.Team Profiles - by Season
Returns full team information, including name, city, conference, division, colors, fantasy IDs, and complete stadium data. Includes teams currently active in a competition's season. Use Team Profiles - by Competition for historical teams.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.seasonid
integer
true
Unique FantasyData Season ID. SeasonIDs can be found in the Competition Hierarchy (League Hierarchy).
Examples:
1, 2, 3, etcVenues & Officials
Venues
Returns stadiums from around the world, including name, location, latitude, longitude, capacity, and surface type.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
Utility Endpoints
Available Endpoints
Subfeed
GET
Betting Metadata
Utility Endpoints
Returns the list of MarketTypes, BetTypes, PeriodTypes, OutcomeTypes, and ResultTypes to map the IDs to descriptive names. Also includes a list of the MarketType, BetType & PeriodType combinations which we will have resulting for.
Utility Endpoints
Returns a list of all available sportsbooks with their associated unique IDs.
Betting Metadata
Returns the list of MarketTypes, BetTypes, PeriodTypes, OutcomeTypes, and ResultTypes to map the IDs to descriptive names. Also includes a list of the MarketType, BetType & PeriodType combinations which we will have resulting for.
Endpoint Notes
Call Interval:
15 Minutes
Return Type:
BettingEntityMetadataCollection
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
Sportsbooks - by Active
Returns a list of all available sportsbooks with their associated unique IDs.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
Event Feeds
Schedules & Game Day Info
Available Endpoints
Subfeed
GET
Schedules
Schedules & Game Day Info
Returns game details including home and away teams, date and time, season type, week, and gameday info. Also includes stadium information (capacity) and top-line betting info (spread, moneyline, total).
Schedules & Game Day Info
Returns a full schedule of games for the specified competition and season. Includes home and away teams, date, start time, stadium, game status, 1st Half and 2nd Half scores, and pre-game lines (moneyline, spread, total).
Schedules
Returns game details including home and away teams, date and time, season type, week, and gameday info. Also includes stadium information (capacity) and top-line betting info (spread, moneyline, total).
Endpoint Notes
Call Interval:
5 Minutes
Return Type:
Round[]
Included Data Tables:
Ideal For:
Populating calendar views, retrieving GameID’s to link to other feeds, and getting static game metadata
Not Ideal For:
Live scores and game status updates. Use Games - by Date instead.
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Schedules (Basic)
Returns a full schedule of games for the specified competition and season. Includes home and away teams, date, start time, stadium, game status, 1st Half and 2nd Half scores, and pre-game lines (moneyline, spread, total).
Endpoint Notes
Call Interval:
5 Minutes
Return Type:
ScheduleBasic[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Scores & Game State
Available Endpoints
Subfeed
Final Only (No Game State)
Returns full scores and gameday info live and post-game, including half and full score details, delivered by competition.
Final Only (No Game State)
Returns final scores for all games on the specified date. Includes stadium, attendance, game status, pre-game lines (moneyline, spread, total), and half and full-time scores.
Final Only (No Game State)
Returns top-line full-time game information for a specified competition and date, delivered post-game.
Live & Final (With Game State)
Returns live and final scores for all games on the specified date. Includes stadium, attendance, game status, pre-game lines (moneyline, spread, total), and half and full-time scores.
Live & Final (With Game State)
Returns top-line full-time game information for a specified competition and date.
Games - by Competition [Live & Final]
Returns full scores and gameday info live and post-game, including half and full score details, delivered by competition.
Endpoint Notes
Call Interval:
1 Hour
Return Type:
CompetitionDetail
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.Games - by Date [Final]
This is the Final version of this endpoint. For live data, please use Games - by Date [Live & Final].
Returns final scores for all games on the specified date. Includes stadium, attendance, game status, pre-game lines (moneyline, spread, total), and half and full-time scores.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Games (Basic) - by Date [Final]
This is the Final version of this endpoint. For live data, please use Games (Basic) - by Date [Live & Final].
Returns top-line full-time game information for a specified competition and date, delivered post-game.
Endpoint Notes
Call Interval:
5 Seconds
Return Type:
ScoreBasic[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Games - by Date [Live & Final]
Retrieving up-to-the-second high-level game information, such as scores and game status.
Returns live and final scores for all games on the specified date. Includes stadium, attendance, game status, pre-game lines (moneyline, spread, total), and half and full-time scores.
Endpoint Notes
Ideal For:
Score tickers, live dashboards, and checking game status updates.
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Games (Basic) - by Date [Live & Final]
Returns top-line full-time game information for a specified competition and date.
Endpoint Notes
Call Interval:
5 Seconds
Return Type:
ScoreBasic[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Team & Player Stats
Available Endpoints
Subfeed
Final Only
Returns all statistics for a specified game, including team and player stats, after the game has been completed. Box scores are subject to change after they are final. They are finalized once a game is closed.
Final Only
Returns all statistics for all games on the specified date, including team and player stats, after the game has been completed. Due to stat corrections, box scores are subject to change after the game is Final.
Final Only
Returns box score stats for all players that participated in a game on the specified date. Data is added for players once their respective game concludes.
Final Only
Returns season-long stats for all players on a team for the specified season.
Final Only
Returns box score stats for each team on the specified date. Team stats are an aggregation of all player stats. Data is updated as each game is completed.
Final Only
Returns season-long stats (i.e. the season total, not each individual game record) for all teams in the specified season.
Live & Final
Returns all statistics for the specified game, including team and player stats, both during and after the games. Due to stat corrections, box scores are subject to change after the game is Final.
Live & Final
Returns all statistics for all games on the specified date, including team and player stats, both during and after the games. Due to stat corrections, box scores are subject to change after the game is Final.
Live & Final
Returns all stats for the specified date, only returning player stats that have changed in the last X minutes, as given in the API call. This is a live endpoint, not final, meaning that it will return data for games in progress.
Live & Final
Returns box score stats for all players that participated in a game on the specified date. All of which is updated during and after games.
Live & Final
Returns team stats for the specified team's game on the specified date. All of which is delivered during and after games.
Box Score [Final]
This is the Final version of this endpoint. For live data, please use Box Score [Live & Final].
Returns all statistics for a specified game, including team and player stats, after the game has been completed. Box scores are subject to change after they are final. They are finalized once a game is closed.
Endpoint Notes
Call Interval:
1 Minute
Return Type:
BoxScore[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
702, 1274, etc.Box Scores - by Date [Final]
This is the Final version of this endpoint. For live data, please use Box Scores - by Date [Live & Final].
Returns all statistics for all games on the specified date, including team and player stats, after the game has been completed. Due to stat corrections, box scores are subject to change after the game is Final.
Endpoint Notes
Call Interval:
1 Minute
Return Type:
BoxScore[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Player Game Stats - by Date [Final]
This is the Final version of this endpoint. For live data, please use Player Game Stats - by Date [Live & Final].
Returns box score stats for all players that participated in a game on the specified date. Data is added for players once their respective game concludes.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
GET
https://api.sportsdata.io/v4/soccer/stats/{format}/PlayerGameStatsByDateFinal/{competition}/{date}
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Player Season Stats
Returns season-long stats for all players on a team for the specified season.
Endpoint Notes
Call Interval:
15 Minutes
Return Type:
Round[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Team Game Stats - by Date [Final]
This is the Final version of this endpoint. For live data, please use Team Game Stats - by Date [Live & Final].
Returns box score stats for each team on the specified date. Team stats are an aggregation of all player stats. Data is updated as each game is completed.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
GET
https://api.sportsdata.io/v4/soccer/stats/{format}/TeamGameStatsByDateFinal/{competition}/{date}
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Team Season Stats
Returns season-long stats (i.e. the season total, not each individual game record) for all teams in the specified season.
Endpoint Notes
Call Interval:
5 Minutes
Return Type:
Round[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Box Score [Live & Final]
Returns all statistics for the specified game, including team and player stats, both during and after the games. Due to stat corrections, box scores are subject to change after the game is Final.
Endpoint Notes
Call Interval:
1 Minute
Return Type:
BoxScore[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
702, 1274, etc.Box Scores - by Date [Live & Final]
Returns all statistics for all games on the specified date, including team and player stats, both during and after the games. Due to stat corrections, box scores are subject to change after the game is Final.
Endpoint Notes
Call Interval:
1 Minute
Return Type:
BoxScore[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Box Scores Delta - by Date
Returns all stats for the specified date, only returning player stats that have changed in the last X minutes, as given in the API call. This is a live endpoint, not final, meaning that it will return data for games in progress.
Endpoint Notes
Call Interval:
5 Seconds
Return Type:
BoxScore[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.minutes
string
true
Only returns player statistics that have changed in the last X minutes. You specify how many minutes in time to go back. Valid entries are:
1, 2 ... all.Player Game Stats - by Date [Live & Final]
Returns box score stats for all players that participated in a game on the specified date. All of which is updated during and after games.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Team Game Stats - by Date [Live & Final]
Returns team stats for the specified team's game on the specified date. All of which is delivered during and after games.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Player Feeds
Depth Charts, Lineups & Injuries
Available Endpoints
Subfeed
Depth Charts, Lineups & Injuries
Returns confirmed starting lineups and substitute benches for a specified competition and date.
Depth Charts, Lineups & Injuries
Returns all injured players along with injury information (status, start date, body part, and note).
Depth Charts, Lineups & Injuries
Returns all players on specified team, with full bio information and injury information.
Lineups - by Date
Returns confirmed starting lineups and substitute benches for a specified competition and date.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Player Details - by Injured
Returns all injured players along with injury information (status, start date, body part, and note).
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.Player Details - by Team
Returns all players on specified team, with full bio information and injury information.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.teamid
integer
true
Unique FantasyData Team ID.
Example:
516.Betting Feeds
Game Lines
Available Endpoints
Subfeed
In-Play Lines
Returns in-play game odds (spread, moneyline, total) for games on the specified date, meaning odds for games that are in-progress. Returns only the most recent data and does not include line movement.
In-Play Lines
Returns in-play game odds (spread, moneyline, total) for games on the specified date. A Sportsbook Group must also be specified as a URL parameter. Only returns the most recent odds, not inclusive of line movement. As this is in-game, it will only return results while the game is in progress.
In-Play Lines Plus
Returns in-play game odds (spread, moneyline, total) for the specified game. Returns the full line movement. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
In-Play Lines Plus
Returns in-play game odds (spread, moneyline, total) for the specified game. Returns the full line movement. A Sportsbook Group must also be specified as a URL parameter. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
In-Play Lines Plus
Returns in-play game odds (spread, moneyline, total) for the specified game. Returns the full line movement. This also includes resulting for markets with a ResultType, each line will be graded and it will be determined whether the bet would have won or lost. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line. A Sportsbook Group must be specified as a URL parameter.
Pre-Game Lines
Returns the non-full-game odds (spread, moneyline, total) for games on the specified date. Non-full-game means 1st half or 1st quarter, for example, rather than full game. Only returns the most recent odds, not inclusive of line movement.
Pre-Game Lines
Returns the full-game and non-full-game odds (spread, moneyline, total) for games on the specified date. A Sportsbook Group must be specified as a URL parameter. Only returns the most recent odds, not inclusive of line movement.
Pre-Game Lines
Returns the full-game odds (moneyline, spread, total) for games on the specified date. Returns only the most recent data and does not include line movement.
Pre-Game Lines Plus
Returns the non-full-game odds (spread, moneyline, total), with line movement, for the specified game. Non-full-game means 1st half or 1st quarter, for example, rather than full game. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Pre-Game Lines Plus
Returns the game odds for games on the specified date. In this endpoint, both full-game and partial-game odds are included. Returns the full line movement for the given game. A Sportsbook Group must also be specified as a URL parameter. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Pre-Game Lines Plus
Returns the game odds for games on the specified date. In this endpoint, both full-game and partial-game odds are included. This also includes Resulting. For markets with a ResultType, each line will be graded and it will be determined whether the bet would have won or lost. Returns the full line movement for the given game. A Sportsbook Group must also be specified as a URL parameter. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Pre-Game Lines Plus
Returns the full-game core odds (moneyline, spread, total) for the specified game. Returns only the most recent data and does not include line movement. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
In-Game Odds - by Date
Returns in-play game odds (spread, moneyline, total) for games on the specified date, meaning odds for games that are in-progress. Returns only the most recent data and does not include line movement.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2018-06-20, 2018-06-23.In-Game Odds - by Date [Sportsbook Group]
Returns in-play game odds (spread, moneyline, total) for games on the specified date. A Sportsbook Group must also be specified as a URL parameter. Only returns the most recent odds, not inclusive of line movement. As this is in-game, it will only return results while the game is in progress.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2018-06-20, 2018-06-23.sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100In-Game Odds Line Movement
Returns in-play game odds (spread, moneyline, total) for the specified game. Returns the full line movement. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
GET
https://api.sportsdata.io/v4/soccer/odds/{format}/LiveGameOddsLineMovement/{competition}/{gameid}
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
14060, 14061, etc.In-Game Odds Line Movement [Sportsbook Group]
Returns in-play game odds (spread, moneyline, total) for the specified game. Returns the full line movement. A Sportsbook Group must also be specified as a URL parameter. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
14060, 14061, etc.sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100In-Game Odds Line Movement with Resulting [Sportsbook Group]
Returns in-play game odds (spread, moneyline, total) for the specified game. Returns the full line movement. This also includes resulting for markets with a ResultType, each line will be graded and it will be determined whether the bet would have won or lost. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line. A Sportsbook Group must be specified as a URL parameter.
Endpoint Notes
Call Interval:
15 Minutes
Return Type:
GameInfoResult[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
14060, 14061, etc.sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Period Game Odds - by Date
Returns the non-full-game odds (spread, moneyline, total) for games on the specified date. Non-full-game means 1st half or 1st quarter, for example, rather than full game. Only returns the most recent odds, not inclusive of line movement.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
GET
https://api.sportsdata.io/v4/soccer/odds/{format}/AlternateMarketGameOddsByDate/{competition}/{date}
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Pre-Game and Period Game Odds - by Date [Sportsbook Group]
Returns the full-game and non-full-game odds (spread, moneyline, total) for games on the specified date. A Sportsbook Group must be specified as a URL parameter. Only returns the most recent odds, not inclusive of line movement.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Pre-Game Odds - by Date
Retrieving the most recent pre-game odds data
Returns the full-game odds (moneyline, spread, total) for games on the specified date. Returns only the most recent data and does not include line movement.
Endpoint Notes
Ideal For:
Receiving the most recent pre-game odds across a variety of sportsbooks
Not Ideal For:
Retrieving line movement (Use Pre-Game Odds Line Movement instead)
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Period Game Odds Line Movement
Returns the non-full-game odds (spread, moneyline, total), with line movement, for the specified game. Non-full-game means 1st half or 1st quarter, for example, rather than full game. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
41323Pre-Game and Period Game Odds Line Movement [Sportsbook Group]
Returns the game odds for games on the specified date. In this endpoint, both full-game and partial-game odds are included. Returns the full line movement for the given game. A Sportsbook Group must also be specified as a URL parameter. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
14060, 14061, etc.sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Pre-Game and Period Game Odds Line Movement with Resulting [Sportsbook Group]
Returns the game odds for games on the specified date. In this endpoint, both full-game and partial-game odds are included. This also includes Resulting. For markets with a ResultType, each line will be graded and it will be determined whether the bet would have won or lost. Returns the full line movement for the given game. A Sportsbook Group must also be specified as a URL parameter. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Endpoint Notes
Call Interval:
15 Minutes
Return Type:
GameInfoResult[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
14060, 14061, etc.sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Pre-Game Odds Line Movement
Returns the full-game core odds (moneyline, spread, total) for the specified game. Returns only the most recent data and does not include line movement. This endpoint has a longer cache as it is meant for historical data/line movement rather than the most up to the second line.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of a Soccer game. GameIDs can be found in the Games API. Valid entries are
14060, 14061, etc.Props
Available Endpoints
Subfeed
Props
Returns BettingEvents for the specified date, from which Betting Market data can be gathered via the Betting Markets by Event endpoint, for all available Betting Market types (e.g. Player Props, Team Props.)
Props
Returns BettingEvents for the specified season, from which Betting Market data can be gathered via the Betting Markets by Event endpoint, for all available Betting Market types (e.g. Player Props, Team Props.)
Props
Returns the markets of all available types (e.g. Player Props, Team Props) and available outcomes for the specified BettingEventID.
Props
Returns the markets and available outcomes for the specified BettingEventID. A Sportsbook Group must also be specified as a URL parameter.
Props
Returns the markets of all available types (e.g. Player Props, Team Props) and available outcomes for the specified GameID.
Props
Returns the markets of all available types (e.g. Player Props, Team Props) and available outcomes for the specified GameID. A Sportsbook Group must also be specified as a URL parameter.
Props
Returns markets and available outcomes for the specified event and market type. This is a lighter call than by BettingEventID as it only includes markets tagged with the specific MarketType, a full list of which is available for each sport in its Betting Metadata endpoint.
Props
Returns markets and available outcomes for the specified event and market type. A Sportsbook Group must also be specified as a URL parameter. This is a lighter call than by BettingEventID as it only includes markets tagged with the specific MarketType, a full list of which is available for each sport in its Betting Metadata endpoint.
Props
Returns player props available in the specified game. Works in the same way as Betting Markets by Market Type, but is prefiltered to the Player Props type only.
Props
Returns player props for the specified game. A Sportsbook Group must also be specified as a URL parameter. This works the same way as Betting Markets by Market Type but is prefiltered to the Player Props type only.
Props Plus
Returns available Futures markets for the specified season. This endpoint does not include line movement.
GET
Betting Market
Props Plus
Returns full line movement for a given BettingMarket. Due to the sheer size of the output and the level of detail, it is intended for historical data purposes and not for the most up-to-the-second lines.
Props Plus
Returns full line movement for a given BettingMarket. Due to the sheer size of the output and the level of detail, it is intended for historical data purposes and not for the most up-to-the-second lines. A Sportsbook Group must be specified as a URL parameter.
Betting Events - by Date
Returns BettingEvents for the specified date, from which Betting Market data can be gathered via the Betting Markets by Event endpoint, for all available Betting Market types (e.g. Player Props, Team Props.)
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingEvent[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2018-11-20, 2018-11-23.Betting Events - by Season
Returns BettingEvents for the specified season, from which Betting Market data can be gathered via the Betting Markets by Event endpoint, for all available Betting Market types (e.g. Player Props, Team Props.)
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingEvent[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Betting Markets - by Event
Returns the markets of all available types (e.g. Player Props, Team Props) and available outcomes for the specified BettingEventID.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.eventId
string
true
The EventId of the desired event/game for which to pull all betting markets (includes outcomes/bets).
Betting Markets - by Event [Sportsbook Group]
Returns the markets and available outcomes for the specified BettingEventID. A Sportsbook Group must also be specified as a URL parameter.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.eventId
string
true
The EventId of the desired event/game for which to pull all betting markets (includes outcomes/bets).
sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Betting Markets - by Game
Returns the markets of all available types (e.g. Player Props, Team Props) and available outcomes for the specified GameID.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
Ideal For:
Receiving a high-level view of all betting markets offered for a game
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of the desired game for which to pull all betting markets (includes outcomes/bets).
Betting Markets - by Game [Sportsbook Group]
Returns the markets of all available types (e.g. Player Props, Team Props) and available outcomes for the specified GameID. A Sportsbook Group must also be specified as a URL parameter.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameid
integer
true
The GameID of the desired game for which to pull all betting markets (includes outcomes/bets).
sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Betting Markets - by Market Type
Returns markets and available outcomes for the specified event and market type. This is a lighter call than by BettingEventID as it only includes markets tagged with the specific MarketType, a full list of which is available for each sport in its Betting Metadata endpoint.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.eventId
string
true
The EventId of the desired event/game for which to pull all betting markets (includes outcomes/bets).
marketTypeID
string
true
The Market Type ID of the desired MarketTypes to pull. Some common types include:
1 for Game Lines, 2 for Player Props, 3 for Team Props, 6 for Game PropsBetting Markets - by Market Type [Sportsbook Group]
Retrieving lowest latency betting markets for a given game
Returns markets and available outcomes for the specified event and market type. A Sportsbook Group must also be specified as a URL parameter. This is a lighter call than by BettingEventID as it only includes markets tagged with the specific MarketType, a full list of which is available for each sport in its Betting Metadata endpoint.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
Ideal For:
Retrieving all betting markets for a given market type within a game
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.eventId
string
true
The EventId of the desired event/game for which to pull all betting markets (includes outcomes/bets).
marketTypeID
string
true
The Market Type ID of the desired MarketTypes to pull. Some common types include:
1 for Game Lines, 2 for Player Props, 3 for Team Props, 6 for Game Propssportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Betting Player Props - by Game
Returns player props available in the specified game. Works in the same way as Betting Markets by Market Type, but is prefiltered to the Player Props type only.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
GET
https://api.sportsdata.io/v4/soccer/odds/{format}/BettingPlayerPropsByGameID/{competition}/{gameId}
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameId
integer
true
The unique GameID of the game in question.
Betting Player Props - by Game [Sportsbook Group]
Retrieving the lowest latency player props within a game
Returns player props for the specified game. A Sportsbook Group must also be specified as a URL parameter. This works the same way as Betting Markets by Market Type but is prefiltered to the Player Props type only.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket[]
Included Data Tables:
Ideal For:
Retrieving all player props for a given game
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.gameId
integer
true
The unique GameID of the game in question.
sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Betting Futures - by Season
Returns available Futures markets for the specified season. This endpoint does not include line movement.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingEvent[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.season
string
true
Year of the season
Examples:
Examples:
2020, 2021, etc.Betting Market
Returns full line movement for a given BettingMarket. Due to the sheer size of the output and the level of detail, it is intended for historical data purposes and not for the most up-to-the-second lines.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.marketId
string
true
The MarketId of the desired market for which to pull all outcomes/bets.
Betting Market [Sportsbook Group]
Returns full line movement for a given BettingMarket. Due to the sheer size of the output and the level of detail, it is intended for historical data purposes and not for the most up-to-the-second lines. A Sportsbook Group must be specified as a URL parameter.
Endpoint Notes
Call Interval:
10 Minutes
Return Type:
BettingMarket
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.marketId
string
true
The MarketId of the desired market for which to pull all outcomes/bets.
sportsbookgroup
string
true
Access Required
The name of the Sportsbook grouping.
Examples:
Examples:
G1100Fantasy Feeds
Projections
Available Endpoints
Subfeed
Legacy Projections
Returns SportsDataIO's proprietary projections, including DFS salary information and injuries, for fantasy players, called by date.
Projected Player Game Stats - by Date
Returns SportsDataIO's proprietary projections, including DFS salary information and injuries, for fantasy players, called by date.
Endpoint Notes
Call Interval:
5 Minutes
Return Type:
PlayerGameProjection[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.Salaries, Stats & Points
Available Endpoints
Subfeed
Points & Stats
Returns a simple list of fantasy points awarded to players who took part in a given competition's games on a given date.
Salaries & Slates
Returns DFS Slates which have not yet started, with their player and salary information.
Salaries & Slates
Returns upcoming DFS Slates which have not yet started, with their player and salary information, by competition.
Fantasy Points - by Date
Returns a simple list of fantasy points awarded to players who took part in a given competition's games on a given date.
Endpoint Notes
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2017-02-27, 2017-09-01.DFS Slates - by Date
Returns DFS Slates which have not yet started, with their player and salary information.
Endpoint Notes
Call Interval:
15 Minutes
Return Type:
DfsSlate[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.date
string
true
The date of the game(s).
Examples:
Examples:
2020-02-18Upcoming DFS Slates - by Competition
Returns upcoming DFS Slates which have not yet started, with their player and salary information, by competition.
Endpoint Notes
Call Interval:
15 Minutes
Return Type:
DfsSlate[]
Included Data Tables:
The SportsDataIO API Free Trial only provides access to the UEFA Champions League
If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
(Competition ID: 3)If you need access to additional data, check out SportsDataIO Replay or reach out to our sales team and we can discuss other testing options.
Query String Parameters
Name
Type
Required
Value
key
string
true
Subscription Required
URL Template Parameters
Parameter Name
Type
Required
Value
competition
string
true
An indication of a soccer competition/league. This value can be the CompetitionId or the Competition Key. Possible values include:
EPL, 1, MLS, 8, etc.